%global pypi_name async-timeout
%global module_name async_timeout
%global commitId a48974404c746593f78c116faceb56a0db50309e

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       4.0.3
Release:       1%{?dist}
Summary:       Timeout context manager for asyncio programs

License:       Apache-2.0
URL:           https://github.com/aio-libs/async-timeout
Source0:       python-async-timeout-a48974404c746593f78c116faceb56a0db50309e.tar.gz
BuildArch:      noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools


%global _description %{expand:
asyncio-compatible timeout context manager.}


%description
%{_description}


%package -n python%{python3_pkgversion}-%{pypi_name}
Summary: %{summary}


%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}


%prep
%autosetup -n python-%{pypi_name}-%{commitId}


%build
%{py3_build}


%install
%{py3_install}


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Jan 25 2024 Satoe Imaishi <simaishi@redhat.com> - 4.0.3-1
- Update to 4.0.3

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 4.0.2-2
- Build against python 3.9

* Mon Feb 07 2022 Odilon Sousa 4.0.2-1
- Update to 4.0.2

* Mon Sep 06 2021 Evgeni Golov - 3.0.1-3
- Build against Python 3.8

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.0.1-2
- Bump release to build for el8

* Mon Nov 18 2019 Evgeni Golov - 3.0.1-1
- Initial package.
